
/*
Un programme qui montre comment faire des fades-in, fades-out avec de multiples objets
A multiple object fade-in/fade-out program
Copyright (C) 2007 BEYLER Jean Christophe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
#ifndef H_HANDLEIMAGE
#define H_HANDLEIMAGE

#include "Image.h"
#include "ListImage.h"

/* Structure de base pour gerer les differentes images */
typedef struct sHandleImage
{
    /* La liste des images */
    SListImage *list;
    /* La zone ou vont evoluer les images */
    SDL_Rect area;
    /* Le nom du fichier de l'image */
    char *fname;
}SHandleImage;

/* Initialisation */
SHandleImage *Handle_Init(char *fname, SDL_Rect *area);
/* Destruction */
void Handle_Destroy(SHandleImage *);

/* Ajouter une image */
int Handle_AddImage(SHandleImage *);

/* Enlever une image */
int Handle_RemoveImage(SHandleImage *);

/* Fonction de rendu des images */
void Handle_Frame(SHandleImage*, SDL_Surface*);

#endif
