
/*
Un programme qui montre comment faire des fades-in, fades-out avec de multiples objets
A multiple object fade-in/fade-out program
Copyright (C) 2007 BEYLER Jean Christophe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
#include "ListImage.h"

/* Creation d'un element */
SListImage *ListImage_Create()
{
    /* Allocation */
    SListImage *res = malloc(sizeof(*res));

    /* Verification */
    if(res != NULL) {
        res->im = NULL;
        res->type_anim = 0;
        res->next = NULL;
    }
    /* Retour */
    return res;
}

/* Destruction et liberation de memoire de l'element */
void ListImage_DestroyElem(SListImage *li)
{
    if(li != NULL) {
        /* On detruit l'image */
        Image_Destroy(li->im);
        /* On libere */
        free(li), li = NULL;
    }
}

/* Destruction et liberation de memoire de la liste */
void ListImage_DestroyList(SListImage *li)
{
    SListImage *elem = li, *tmp;

    /* Tant qu'on a un element */
    while(elem != NULL) {
        /* On detruit l'image */
        Image_Destroy(elem->im);

        /* On libere et on passe au prochain */
        tmp = elem->next;
        free(elem), elem = NULL;
        elem = tmp;
    }
}

