
/*
Un programme qui montre comment faire des fades-in, fades-out avec de multiples objets
A multiple object fade-in/fade-out program
Copyright (C) 2007 BEYLER Jean Christophe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
#ifndef H_LISTIMAGE
#define H_LISTIMAGE

#include "Image.h"

/* Structure d'un element de la liste chainee :
      - L'image
      - Le type d'animation
      - Le prochain element de la liste 
 */
typedef struct sListImage
{
    SImage *im;
    int type_anim;
    struct sListImage *next;
}SListImage;

/* Creation d'un element */
SListImage *ListImage_Create(void);
/* Destruction et liberation de memoire d'un element */
void ListImage_DestroyElem(SListImage *);
/* Destruction et liberation de memoire de la liste */
void ListImage_DestroyList(SListImage *);

#endif
